#!/bin/bash

ARG=$1


KERNELDIR=/lib/modules/`uname -r`/build
PWD=`pwd`

# 解析命令行参数
if [ -z "${ARG}" -o "${ARG}" == "modules" ]; then
	CONFIG_DRM_MWV207=m make -C ${KERNELDIR} M=${PWD} modules -j
elif [ "${ARG}" == "clean" ]; then
	CONFIG_DRM_MWV207=m make -C ${KERNELDIR} M=${PWD} clean
else
	echo "$0 [<modules>|clean]"
fi

