/*
* SPDX-License-Identifier: GPL
*
* Copyright (c) 2020 ChangSha JingJiaMicro Electronics Co., Ltd.
* All rights reserved.
*
* Author:
*      shanjinkui <shanjinkui@jingjiamicro.com>
*
* The software and information contained herein is proprietary and
* confidential to JingJiaMicro Electronics. This software can only be
* used by JingJiaMicro Electronics Corporation. Any use, reproduction,
* or disclosure without the written permission of JingJiaMicro
* Electronics Corporation is strictly prohibited.
*/
#ifndef mwv207_MONITOR_H_ZM8DG5W6
#define mwv207_MONITOR_H_ZM8DG5W6

#include <linux/types.h>

struct mwv207_device;
int mwv207_monitor_init(struct mwv207_device *jdev);
void mwv207_monitor_fini(struct mwv207_device *jdev);

void mwv207_monitor_update_pipe_usage(struct mwv207_device *jdev,
				       u8 pipe_type, u8 pipe_id, u32 usage);
void mwv207_monitor_update_vram_used(struct mwv207_device *jdev);

#endif
